### org.jfree.layouting.namespace

# Interface NamespaceDefinition

Known Implementing Classes:
  DefaultNamespaceDefinition

`public interface NamespaceDefinition`

Creation-Date: 13.04.2006, 12:31:43

Author:
  Thomas Morgner

  ## Method Summary

  `String[]`

  `getClassAttribute(String element)`

  `ResourceKey`

  `getDefaultStyleSheetLocation()`

  `String`

  `getPreferredPrefix()`

  `String[]`

  `getStyleAttribute(String element)`

  `String`

  `getURI()`

## Method Details

### getClassAttribute

    public String[] getClassAttribute(String element)

### getDefaultStyleSheetLocation

    public ResourceKey getDefaultStyleSheetLocation()

### getPreferredPrefix

    public String getPreferredPrefix()

### getStyleAttribute

    public String[] getStyleAttribute(String element)

### getURI

    public String getURI()